List links
curl --request GET \
--url https://api.linkutm.com/api/v1/links \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.linkutm.com/api/v1/links"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.linkutm.com/api/v1/links', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.linkutm.com/api/v1/links",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.linkutm.com/api/v1/links"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.linkutm.com/api/v1/links")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.linkutm.com/api/v1/links")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"links": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"shortCode": "<string>",
"shortUrl": "https://telzi.com/spring-sale",
"title": "<string>",
"description": "<string>",
"favicon": "<string>",
"clicks": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"utmSource": "<string>",
"utmMedium": "<string>",
"utmCampaign": "<string>",
"utmTerm": "<string>",
"utmContent": "<string>",
"customUtmParams": {},
"templateId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"hasPassword": true,
"expiresAt": "2023-11-07T05:31:56Z",
"scheduledAt": "2023-11-07T05:31:56Z",
"schedulingTimezone": "<string>",
"fallbackUrl": "<string>",
"clickLimit": 123,
"iosUrl": "<string>",
"androidUrl": "<string>",
"geoTargets": {},
"geoTargetingEnabled": true,
"ogTitle": "<string>",
"ogDescription": "<string>",
"ogImage": "<string>",
"comments": "<string>",
"qrCodeEnabled": true,
"qrFgColor": "<string>",
"qrBgColor": "<string>",
"qrSize": 123,
"qrDesign": {},
"cloakingEnabled": true,
"archived": true,
"folderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"domainId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"folder": {
"id": "<string>",
"name": "<string>",
"color": "<string>"
},
"domain": {
"id": "<string>",
"domain": "go.acme.com",
"verified": true
},
"creator": {
"id": "<string>",
"name": "<string>",
"avatar": "<string>"
},
"tags": [
{
"id": "<string>",
"tag": {
"id": "<string>",
"name": "paid-social",
"color": "#f97316"
}
}
],
"pixels": [
{
"pixelId": "<string>"
}
]
}
],
"pagination": {
"page": 1,
"limit": 20,
"total": 137,
"pages": 7
}
}{
"statusCode": 400,
"message": [
"Destination URL is required"
],
"error": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid or expired API key",
"error": "Unauthorized"
}{
"statusCode": 403,
"message": "Please upgrade your plan to create more links.",
"error": "Forbidden"
}{
"statusCode": 404,
"message": "Link not found",
"error": "Not Found"
}{
"statusCode": 500,
"message": "Internal server error"
}Links
List links
Retrieve a paginated list of links for the workspace.
GET
/
links
List links
curl --request GET \
--url https://api.linkutm.com/api/v1/links \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.linkutm.com/api/v1/links"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.linkutm.com/api/v1/links', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.linkutm.com/api/v1/links",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.linkutm.com/api/v1/links"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.linkutm.com/api/v1/links")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.linkutm.com/api/v1/links")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"links": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"shortCode": "<string>",
"shortUrl": "https://telzi.com/spring-sale",
"title": "<string>",
"description": "<string>",
"favicon": "<string>",
"clicks": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"utmSource": "<string>",
"utmMedium": "<string>",
"utmCampaign": "<string>",
"utmTerm": "<string>",
"utmContent": "<string>",
"customUtmParams": {},
"templateId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"hasPassword": true,
"expiresAt": "2023-11-07T05:31:56Z",
"scheduledAt": "2023-11-07T05:31:56Z",
"schedulingTimezone": "<string>",
"fallbackUrl": "<string>",
"clickLimit": 123,
"iosUrl": "<string>",
"androidUrl": "<string>",
"geoTargets": {},
"geoTargetingEnabled": true,
"ogTitle": "<string>",
"ogDescription": "<string>",
"ogImage": "<string>",
"comments": "<string>",
"qrCodeEnabled": true,
"qrFgColor": "<string>",
"qrBgColor": "<string>",
"qrSize": 123,
"qrDesign": {},
"cloakingEnabled": true,
"archived": true,
"folderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"domainId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"folder": {
"id": "<string>",
"name": "<string>",
"color": "<string>"
},
"domain": {
"id": "<string>",
"domain": "go.acme.com",
"verified": true
},
"creator": {
"id": "<string>",
"name": "<string>",
"avatar": "<string>"
},
"tags": [
{
"id": "<string>",
"tag": {
"id": "<string>",
"name": "paid-social",
"color": "#f97316"
}
}
],
"pixels": [
{
"pixelId": "<string>"
}
]
}
],
"pagination": {
"page": 1,
"limit": 20,
"total": 137,
"pages": 7
}
}{
"statusCode": 400,
"message": [
"Destination URL is required"
],
"error": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid or expired API key",
"error": "Unauthorized"
}{
"statusCode": 403,
"message": "Please upgrade your plan to create more links.",
"error": "Forbidden"
}{
"statusCode": 404,
"message": "Link not found",
"error": "Not Found"
}{
"statusCode": 500,
"message": "Internal server error"
}Authorizations
ApiKeyAuthBearerAuth